# Class ExecuteStatementRequest

java.lang.Object
com.databricks.jdbc.model.client.sqlexec.ExecuteStatementRequest

public class ExecuteStatementRequest extends Object
Execute statement request POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Constructor Summary

Constructors
Constructor
Description
`ExecuteStatementRequest()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Disposition`
`getDisposition()`
`com.databricks.sdk.service.sql.Format`
`getFormat()`
`com.databricks.sdk.service.sql.ExecuteStatementRequestOnWaitTimeout`
`getOnWaitTimeout()`
`Collection<com.databricks.sdk.service.sql.StatementParameterListItem>`
`getParameters()`
`CompressionCodec`
`getResultCompression()`
`Long`
`getRowLimit()`
`String`
`getSessionId()`
`String`
`getStatement()`
`String`
`getWaitTimeout()`
`String`
`getWarehouseId()`
`int`
`hashCode()`
`ExecuteStatementRequest`
`setDisposition(Disposition disposition)`
`ExecuteStatementRequest`
`setFormat(com.databricks.sdk.service.sql.Format format)`
`ExecuteStatementRequest`
`setOnWaitTimeout(com.databricks.sdk.service.sql.ExecuteStatementRequestOnWaitTimeout onWaitTimeout)`
`ExecuteStatementRequest`
`setParameters(Collection<com.databricks.sdk.service.sql.StatementParameterListItem> parameters)`
`ExecuteStatementRequest`
`setResultCompression(CompressionCodec compressionCodec)`
`ExecuteStatementRequest`
`setRowLimit(long rowLimit)`
`ExecuteStatementRequest`
`setSessionId(String sessionId)`
`ExecuteStatementRequest`
`setStatement(String statement)`
`ExecuteStatementRequest`
`setWaitTimeout(String waitTimeout)`
`ExecuteStatementRequest`
`setWarehouseId(String warehouseId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExecuteStatementRequest

public ExecuteStatementRequest()

## Method Details

### getStatement

public String getStatement()

### getWarehouseId

public String getWarehouseId()

### getRowLimit

public Long getRowLimit()

### getSessionId

public String getSessionId()

### getDisposition

public Disposition getDisposition()

### getFormat

public com.databricks.sdk.service.sql.Format getFormat()

### getOnWaitTimeout

public com.databricks.sdk.service.sql.ExecuteStatementRequestOnWaitTimeout getOnWaitTimeout()

### getWaitTimeout

public String getWaitTimeout()

### getParameters

public Collection<com.databricks.sdk.service.sql.StatementParameterListItem> getParameters()

### getResultCompression

public CompressionCodec getResultCompression()

### setStatement

public ExecuteStatementRequest setStatement(String statement)

### setResultCompression

public ExecuteStatementRequest setResultCompression(CompressionCodec compressionCodec)

### setWarehouseId

public ExecuteStatementRequest setWarehouseId(String warehouseId)

### setRowLimit

public ExecuteStatementRequest setRowLimit(long rowLimit)

### setSessionId

public ExecuteStatementRequest setSessionId(String sessionId)

### setDisposition

public ExecuteStatementRequest setDisposition(Disposition disposition)

### setFormat

public ExecuteStatementRequest setFormat(com.databricks.sdk.service.sql.Format format)

### setOnWaitTimeout

public ExecuteStatementRequest setOnWaitTimeout(com.databricks.sdk.service.sql.ExecuteStatementRequestOnWaitTimeout onWaitTimeout)

### setWaitTimeout

public ExecuteStatementRequest setWaitTimeout(String waitTimeout)

### setParameters

public ExecuteStatementRequest setParameters(Collection<com.databricks.sdk.service.sql.StatementParameterListItem> parameters)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`